Page MenuHomePhabricator

move/setup/install labtestnet2003(WMF6469)
Closed, ResolvedPublic

Description

This task will track the allocation and setup of labtestnet2003(WMF6469). This host was a spare pool allocation, and will need to be relocated from row C to row B.

Racking/Relocation Proposal: Unrack labtestnet2003(WMF6469) from D5-codfw and move into any 1G rack in row B. This will need to use the labs-hosts1-b-codfw vlan (like other labs hosts in codfw.) Please note, due to the relocation and allocation of a spare pool system, the checklist below has some different steps than usual.

labtestnet2003:

  • - relocate system from d5-codfw into any 1G rack in row b-codfw - please note the OLD/row D network port on this task so it can be properly disabled
  • - update racktables and apply a new hostname label for labtestnet2003(WMF6469)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries updated hostname (check and ensure asset tag hostname entries exist)
  • - add network port assignment to this task and assign task to @RobH
    • end on-site specific steps - assign to @RobH for remainder
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run
  • - handoff for service implementation

Event Timeline

RobH triaged this task as Medium priority.May 30 2018, 7:07 PM
RobH created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2018, 7:07 PM
RobH claimed this task.May 30 2018, 7:08 PM
RobH added subscribers: mark, Papaul.

Hold off on this until I get @mark approval for this allocation, I meant to keep it assigned to me for now.

RobH mentioned this in Unknown Object (Task).May 30 2018, 7:09 PM
Papaul claimed this task.May 31 2018, 2:29 PM
Papaul reassigned this task from Papaul to RobH.May 31 2018, 2:40 PM
RobH reassigned this task from RobH to Papaul.May 31 2018, 3:04 PM

@mark approved this allocation, go ahead and start the steps and move the system, thanks!

We have already a hosts name labtestnet2002

RobH added a comment.May 31 2018, 4:04 PM

My bad, updating task and lets call this labtestnet2003. This is to replace labtestnet2001, and I assumed it would be 2002, my bad!

RobH renamed this task from move/setup/install labtestnet2002(WMF6469) to move/setup/install labtestnet2003(WMF6469).May 31 2018, 4:04 PM
RobH updated the task description. (Show Details)

moved wmf6469 from D5 to B1
new Switch port information
ge-1/0/15

old switch port information
ge-5/0/16

Papaul updated the task description. (Show Details)May 31 2018, 4:07 PM

Change 436579 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt DNS entries for labtestnet2003

https://gerrit.wikimedia.org/r/436579

Papaul reassigned this task from Papaul to RobH.May 31 2018, 4:38 PM
Papaul updated the task description. (Show Details)

Change 436579 merged by RobH:
[operations/dns@master] DNS: Add mgmt DNS entries for labtestnet2003

https://gerrit.wikimedia.org/r/436579

Change 437801 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] labtestnet2003 install params

https://gerrit.wikimedia.org/r/437801

Change 437801 merged by RobH:
[operations/puppet@production] labtestnet2003 install params

https://gerrit.wikimedia.org/r/437801

Change 437807 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] labtestnet2003 dns entries

https://gerrit.wikimedia.org/r/437807

Change 437807 merged by RobH:
[operations/dns@master] labtestnet2003 dns entries

https://gerrit.wikimedia.org/r/437807

Change 437809 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] changing kernel load to tftp for labtestnet2003

https://gerrit.wikimedia.org/r/437809

Change 437809 merged by RobH:
[operations/puppet@production] changing kernel load to tftp for labtestnet2003

https://gerrit.wikimedia.org/r/437809

RobH updated the task description. (Show Details)
RobH reassigned this task from RobH to chasemp.Jun 6 2018, 8:17 PM
RobH updated the task description. (Show Details)
RobH removed a project: ops-codfw.

@chasemp,

This system is now ready for cloud team to take over. Feel free to use or resolve this task as needed.

Change 438265 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: labtest hw refresh initial role

https://gerrit.wikimedia.org/r/438265

Change 438265 merged by Rush:
[operations/puppet@production] openstack: labtest hw refresh initial role

https://gerrit.wikimedia.org/r/438265

chasemp closed this task as Resolved.Jun 8 2018, 3:37 PM
Vvjjkkii renamed this task from move/setup/install labtestnet2003(WMF6469) to vybaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed chasemp as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from vybaaaaaaa to move/setup/install labtestnet2003(WMF6469).Jul 2 2018, 2:24 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to chasemp.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.